Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.security.callback
Class SAMLTokenCallback

`java.lang.Object
oracle.webservices.security.callback.SAMLTokenCallback`

All Implemented Interfaces:
  Callback, XMLTokenCallback

public class SAMLTokenCallback
extends Object
implements XMLTokenCallback

Callback interface for passing SAML Assertion to the client interceptor. The SAML Assertion passed through this callback is inserted in the WSSecurity header and send to the web service.

Constructor Summary
`SAMLTokenCallback()` Constructor
`SAMLTokenCallback(String prompt)` Constructor

Method Summary
`String` | `getPrompt()` Get the prompt
`String` | `getSubjectName()` Get the subject name for whom assertion is being requested
`Element` | `getXMLToken()` Get the assertion from the callback
`void` | `setSubjectName(String name)` Set the assertion subject name in the callback
`void` | `setXMLToken(Element assertion)` Set the assertion in the callback

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMLTokenCallback

    public SAMLTokenCallback()

  Constructor

### SAMLTokenCallback

    public SAMLTokenCallback(String prompt)

  Constructor
Parameters:
  `prompt` - used to request the assertion

Method Detail

### setXMLToken

    public void setXMLToken(Element assertion)

  Set the assertion in the callback
  Specified by:
    `setXMLToken` in interface `XMLTokenCallback`
  Parameters:
    `assertion` - XML element containing the assertion
  Throws:
    `IllegalArgumentException` - if assertion is null.

### getXMLToken

    public Element getXMLToken()

  Get the assertion from the callback
  Specified by:
    `getXMLToken` in interface `XMLTokenCallback`
  Returns:
    XML element containing the assertion or null if none set.

### getPrompt

    public String getPrompt()

  Get the prompt
  Returns:
    prompt string

### getSubjectName

    public String getSubjectName()

  Get the subject name for whom assertion is being requested
  Returns:
    name or null if none set

### setSubjectName

    public void setSubjectName(String name)

  Set the assertion subject name in the callback
  Parameters:
    `name` - of subject for whom assertion is being requested
  Throws:
    `IllegalArgumentException` - if name is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD